2024-06-11 16:13:53

by Masahiro Yamada

[permalink] [raw]
Subject: [PATCH 1/2] kconfig: add -e and -u options to *conf-cfg.sh scripts

Set -e to make these scripts fail on the first error.

Set -u because these scripts are invoked by Makefile, and do not work
properly without necessary variables defined.

Both options are described in POSIX. [1]

[1]: https://pubs.opengroup.org/onlinepubs/009604499/utilities/set.html

Signed-off-by: Masahiro Yamada <[email protected]>
---

scripts/kconfig/gconf-cfg.sh | 2 ++
scripts/kconfig/mconf-cfg.sh | 2 ++
scripts/kconfig/nconf-cfg.sh | 2 ++
scripts/kconfig/qconf-cfg.sh | 2 ++
4 files changed, 8 insertions(+)

diff --git a/scripts/kconfig/gconf-cfg.sh b/scripts/kconfig/gconf-cfg.sh
index 040d8f338820..fc954c0538fa 100755
--- a/scripts/kconfig/gconf-cfg.sh
+++ b/scripts/kconfig/gconf-cfg.sh
@@ -1,6 +1,8 @@
#!/bin/sh
# SPDX-License-Identifier: GPL-2.0

+set -eu
+
cflags=$1
libs=$2

diff --git a/scripts/kconfig/mconf-cfg.sh b/scripts/kconfig/mconf-cfg.sh
index 1e61f50a5905..1bc304dc2f7d 100755
--- a/scripts/kconfig/mconf-cfg.sh
+++ b/scripts/kconfig/mconf-cfg.sh
@@ -1,6 +1,8 @@
#!/bin/sh
# SPDX-License-Identifier: GPL-2.0

+set -eu
+
cflags=$1
libs=$2

diff --git a/scripts/kconfig/nconf-cfg.sh b/scripts/kconfig/nconf-cfg.sh
index f871a2160e36..a20290b1a37d 100755
--- a/scripts/kconfig/nconf-cfg.sh
+++ b/scripts/kconfig/nconf-cfg.sh
@@ -1,6 +1,8 @@
#!/bin/sh
# SPDX-License-Identifier: GPL-2.0

+set -eu
+
cflags=$1
libs=$2

diff --git a/scripts/kconfig/qconf-cfg.sh b/scripts/kconfig/qconf-cfg.sh
index 0e113b0f2455..bb2df66363a8 100755
--- a/scripts/kconfig/qconf-cfg.sh
+++ b/scripts/kconfig/qconf-cfg.sh
@@ -1,6 +1,8 @@
#!/bin/sh
# SPDX-License-Identifier: GPL-2.0

+set -eu
+
cflags=$1
libs=$2
bin=$3
--
2.43.0



2024-06-12 19:29:04

by Nicolas Schier

[permalink] [raw]
Subject: Re: [PATCH 1/2] kconfig: add -e and -u options to *conf-cfg.sh scripts

On Wed, Jun 12, 2024 at 01:08:05AM +0900, Masahiro Yamada wrote:
> Set -e to make these scripts fail on the first error.
>
> Set -u because these scripts are invoked by Makefile, and do not work
> properly without necessary variables defined.
>
> Both options are described in POSIX. [1]
>
> [1]: https://pubs.opengroup.org/onlinepubs/009604499/utilities/set.html
>
> Signed-off-by: Masahiro Yamada <[email protected]>
> ---

Thanks, I think 'set -eu' is really a good thing. Would like to see it
in even more scripts below scripts/.

Reviewed-by: Nicolas Schier <[email protected]>

Kind regards,
Nicolas